package pw.hamzantal.shopreborn

import org.bukkit.Material
import org.bukkit.inventory.ItemStack

object PurchaseItems {
    fun paneStack(damage: Int, name: String): ItemStack {
        return ItemStack(Material.STAINED_GLASS_PANE, 1, damage.toShort()).apply {
            itemMeta = itemMeta.apply {
                displayName = name.c
            }
        }
    }

    fun blockStack(damage: Int, name: String): ItemStack {
        return ItemStack(Material.STAINED_GLASS, 1, damage.toShort()).apply {
            itemMeta = itemMeta.apply {
                displayName = name.c
            }
        }
    }

    fun ItemStack.name(name: String) = apply {
        itemMeta = itemMeta.apply { displayName = name.c }
    }


    var msgs = GlobalConfig.messages
    val set1 = paneStack(14, msgs.set1)
    val sub10 = paneStack(14, msgs.sub10)
    val sub1 = paneStack(14, msgs.sub1)

    val add1 = paneStack(5, msgs.add1)
    val add10 = paneStack(5, msgs.add10)
    val set64 = paneStack(5, msgs.set64)

    val sellConfirm = blockStack(5, msgs.sellConfirm)
    val sellAll = blockStack(5, msgs.sellAll)

    val buyConfirm = blockStack(5, msgs.buyConfirm)

    val cancel = blockStack(14, msgs.cancel)


    fun reload() {

        msgs = GlobalConfig.messages
        set1.name(msgs.set1)
        sub10.name(msgs.sub10)
        sub1.name(msgs.sub1)
        add1.name(msgs.add1)
        add10.name(msgs.add10)
        set64.name(msgs.set64)
        sellConfirm.name(msgs.sellConfirm)
        sellAll.name(msgs.sellAll)
        buyConfirm.name(msgs.buyConfirm)
        cancel.name(msgs.cancel)
    }
}
